# Generated by Django 4.2.2 on 2023-06-29 21:24

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Project',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('description', models.CharField(max_length=100)),
                ('categorie', models.CharField(choices=[('ecommerce', 'Ecommerce'), ('environnement', 'Environnement'), ('education', 'Education'), ('sante', 'Sante'), ('other', 'Autre')], default='simple_user', max_length=100)),
                ('project_type', models.CharField(choices=[('library', 'Library'), ('application', 'Application'), ('website', 'Website'), ('package', 'Package'), ('other', 'Autre')], default='simple_user', max_length=100)),
                ('owner', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='projects', to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
